import { jsx } from "react/jsx-runtime";
import { Checks as Checks$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Checks = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Checks", ...props, children: /* @__PURE__ */ jsx(Checks$1, { weight: variant }) });
  }
);
Checks.displayName = "Checks";
Object.assign(Checks, { isGdsIcon: true });
export {
  Checks
};
